package com.zhongshu.card.server.core.dao.org;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.domain.org.Department;
import com.zhongshu.card.server.core.domain.org.UserLoginFailRecord;
import com.zhongshu.card.server.core.domain.org.UserLoginRecord;

/**
 * @author TRX
 * @date 2024/3/21
 */
public interface UserLoginFailRecordDao extends MongoDao<UserLoginFailRecord> {

    UserLoginFailRecord findTopById(String id);

    long countByUserName(String userName);

    long deleteByUserName(String userName);
}
